package backend.model;
import java.sql.*;

public class TestRecord {
    private int id;
    private int userId;
    private int questionId;
    private int score;
    private String answer;
    private Date time;

    public TestRecord() {
    }

    public TestRecord(int id, int userId, int questionId, int score, String answer, Date time) {
        this.id = id;
        this.userId = userId;
        this.questionId = questionId;
        this.score = score;
        this.answer = answer;
        this.time = time;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public int getUserId() {
        return userId;
    }

    public void setUserId(int userId) {
        this.userId = userId;
    }

    public int getQuestionId() {
        return questionId;
    }

    public void setQuestionId(int questionId) {
        this.questionId = questionId;
    }

    public int getScore() {
        return score;
    }

    public void setScore(int score) {
        this.score = score;
    }

    public String getAnswer() {
        return answer;
    }

    public void setAnswer(String answer) {
        this.answer = answer;
    }

    public Date getTime() {
        return time;
    }

    public void setTime(Date time) {
        this.time = time;
    }
}
